package at.jku.ssw.map;

/**
 * Stores a key-value pair.
 */
public class Pair {
	/** Key of this entry. */
	public final Object key;
	/** Value of this entry. */
	public Object value;

	public Pair(Object key, Object val) {
		this.key = key;
		this.value = val;
	}

	@Override
	public String toString() {
		if (this == DELETED_MARK) {
			return "DELETED";
		}
		return key.toString() + "->" + value.toString();
	}

	public static final Pair DELETED_MARK = new Pair(null, null);
}